org.pentaho.reporting.libraries.resourceloader.factory.drawable

## Class DrawableWrapper

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.factory.drawable.DrawableWrapper

    public class DrawableWrapper
    extends java.lang.Object

Creation-Date: 05.12.2007, 19:15:56

Author:
  Thomas Morgner

### Constructor Summary

Constructors
Constructor and Description
`DrawableWrapper(java.lang.Object maybeDrawable)`

### Method Summary

Methods
`void` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D bounds)`
`java.lang.Object` `getBackend()`
`java.awt.Dimension` `getPreferredSize()` Returns the preferred size of the drawable.
`static boolean` `isDrawable(java.lang.Object maybeDrawable)`
`boolean` `isPreserveAspectRatio()` Returns true, if this drawable will preserve an aspect ratio during the drawing.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DrawableWrapper

    public DrawableWrapper(java.lang.Object maybeDrawable)

### Method Detail

#### getBackend

    public java.lang.Object getBackend()

#### draw

    public void draw(java.awt.Graphics2D g2,
            java.awt.geom.Rectangle2D bounds)

#### getPreferredSize

    public java.awt.Dimension getPreferredSize()

Returns the preferred size of the drawable. If the drawable is aspect ratio aware, these bounds should be used to compute the preferred aspect ratio for this drawable.

Returns:
  the preferred size.

#### isPreserveAspectRatio

    public boolean isPreserveAspectRatio()

Returns true, if this drawable will preserve an aspect ratio during the drawing.

Returns:
  true, if an aspect ratio is preserved, false otherwise.

#### isDrawable

    public static boolean isDrawable(java.lang.Object maybeDrawable)